Taslak Şekil dizesi

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft ShapeString and the translation is 43% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Point.svg Point
Next: Facebinder Draft Facebinder.svg Arrow-right.svg

Draft ShapeString.svg Şekil dizesi

Menü konumu
Taslak → Şekil dizesi
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
S S
Versiyonda tanıtıldı
0.14
Ayrıca bkz
Metin, Parça çıkarma,
Macro Fonts Win10 PYMP Macro Fonts Win10 PYMP.png


Tanım

Şekil dizesi aracı, bir metin dizesini temsil eden bir bileşik şekil ekler. Metin yüksekliği, ara boşluk ve yazı tipi belirtilebilir. Ortaya çıkan şekil, 3D harfler oluşturmak için Parça çıkarma aracıyla kullanılabilir.

Kapalı bir şekil olmadan daha basit bir metin elemanı eklemek için Taslak Metin kullanın. Bir yönlendirici ve bir ok içeren bir metin etiketi oluşturmak için Taslak Etiket kullanın.

Draft ShapeString Example400.png

Şekil dizesini konumlandırmak için tek nokta gerekli


Nasıl Kullanılır

  1. Draft ShapeString16.png Taslak Şekil dizesi düğmesine basın veya S ardından S tuşlarına basın.
  2. 3D görünümünde bir noktaya tıklayın veya bir koordinat yazın ve Draft AddPoint.svg Nokta ekle düğmesine basın.
  3. İstediğiniz metni giriniz ve Enter tuşuna basınız.
  4. İstediğiniz bedeni giriniz ve Enter tuşuna basınız.
# İstediğiniz izlemeyi giriniz ve  Enter tuşuna basınız. 
  1. Görüntülenen yazı tipi dosyasını kabul etmek için Enter tuşuna veya bir yazı tipi dosyası seçmek için ... tuşuna basın.

SSFontSelect.png

If your Draft interface mode is set to TaskView:

  1. Press the Draft ShapeString16.png Draft ShapeString button, or press S then S keys.
  2. A dialog will appear where you can specify your parameters.
  3. Press OK to create the ShapeString.


Metin, boyut, izleme ve yazı tipi, oluşturulduktan sonra, şekil özellikleri değiştirilebilir.

Sınırlamalar

  • Çok küçük metin yükseklikleri, ölçeklemede ayrıntı kaybı nedeniyle deforme karakter şekillerine neden olabilir.
  • Mevcut sürüm, soldan sağa yazma ile sınırlıdır.
  • Dairesel biçimde düzenlenmiş metin oluşturmak için FCCircularTextButtom.png Dairesel Metin makrosunu kullanın.

Seçenekler

  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında Enter tuşuna basın. Noktayı eklemek istediğiniz değerlere sahipseniz Draft AddPoint.svg Nokta ekle düğmesine basabilirsiniz.
  • Geçerli komutu iptal etmek için Esc veya Close düğmesine basınız.

Özellikler

  • DATA Position: bileşik şeklin taban noktasının konumunu belirtir.
  • DATA Angle: şeklin taban çizgisinin dönüşünü belirtir.
  • DATA Axis: döndürme için kullanılacak ekseni belirtir.
  • DATA String: görüntülenecek metin dizesini belirtir; Taslak Metin aracından farklı olarak, Taslak Şekil dizesi yalnızca tek bir satır görüntüleyebilir.
  • DATA Size: harflerin genel yüksekliğini belirtir.
  • DATA Tracking: dizedeki karakterler arası ek boşluğu belirtir.
  • DATA Font File: dizeyi çizmek için kullanılan font dosyasının tam yolunu belirtir.

Betik

Ayrıca bkz.: Taslak API ve FreeCAD Betik esasları.

Şekil dizesi aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

ShapeString = makeShapeString(String, FontFile, Size=100, Tracking=0)
  • Belirtilen String ve desteklenen bir FontFile tam yolunu kullanarak bir ShapeString bileşik şekli oluşturur.
  • Size sonuçta elde edilen metnin milimetre cinsinden yüksekliğidir.
  • Tracking milimetre cinsinden karakterler arası ek boşluktır.

Şekil dizesi'in yerleşimi, Placement özniteliğinin üzerine yazarak veya Placement.Base ve Placement.Rotation özniteliklerinin üzerine yazılarak değiştirilebilir.

Örnek:

import FreeCAD, Draft

font1 = "/usr/share/fonts/truetype/msttcorefonts/Arial.ttf"
font2 = "/usr/share/fonts/truetype/dejavu/DejaVuSerif.ttf"
font3 = "/usr/share/fonts/truetype/freefont/FreeSerifItalic.ttf"

S1 = Draft.makeShapeString("This is a sample text", font1, 200)

S2 = Draft.makeShapeString("Inclined text", font2, 200, 10)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(-1000, 500, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 45))
S2.Placement = place2

S3 = Draft.makeShapeString("Upside-down text", font3, 200, 10)
S3.Placement.Base = FreeCAD.Vector(0, -1000, 0)
S3.Placement.Rotation = FreeCAD.Rotation(ZAxis, 180)

Kılavuzlar

Notes

  • Many fonts will generate problematic geometric. This is because font contours are allowed to overlap, have small gaps and have varying directions within a glyph. These conditions are considered errors in the Wires used to define Faces. Options are to correct the font definition with a tool like FontForge or to use another font.